Name:		kgraphviewer
Version:	2.1.1
Release:	%mkrel 3
Summary:	A GraphViz dot graph viewer for KDE
Source0:	https://api.opensuse.org/public/source/home:milianw:kdeapps/kgraphviewer/%name-%version.tar.gz
Patch0:		kgraphviewer-2.1.1-boost-1.50.patch
License:	GPLv2+
Group:		Graphics/Viewers
Url:		https://gna.org/projects/kgraphviewer
Requires:	graphviz
BuildRequires:	boost-devel
BuildRequires:	kdepimlibs4-devel
BuildRequires:	desktop-file-utils
BuildRequires:	graphviz-devel
Obsoletes:	kde4-%name <= 2.0
Provides:	kde4-%name = %version

%description
KGraphViewer is user-friendly KDE application for viewing dot graphs
created for processing with GraphViz. Notable features provided include:

- loading of several graphs in tabs
- bird's-eye graph view
- zooming view
- simple printing
- context menu and tool-bar for selecting layout algorithms
- session management

%files -f %name.lang
%_kde_bindir/*
%_kde_libdir/kde4/*.so
%_kde_datadir/applications/kde4/*.desktop
%_kde_appsdir/*
%_kde_datadir/config.kcfg/*.kcfg
%_kde_iconsdir/*/*/*/*.png
%_kde_datadir/kde4/services/*.desktop

#--------------------------------------------------------------------

%define libkgraphviewer %mklibname kgraphviewer 3

%package -n %libkgraphviewer
Group:		Graphics/Viewers
Summary:	Shared library for %name

%description -n %libkgraphviewer
This package contains shared library for %name.

%files -n %libkgraphviewer
%{_kde_libdir}/libkgraphviewer.so.*

#--------------------------------------------------------------------

%package devel
Group:		Graphics/Viewers
Summary:	Development files for %name
Requires:	%libkgraphviewer = %version

%description devel
This package contains development files for %name.

%files devel
%{_kde_libdir}/libkgraphviewer.so
%{_kde_includedir}/%name

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%patch0 -p1

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build

desktop-file-install --vendor='' \
	--dir %buildroot%_kde_datadir/applications/kde4/ \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--add-category='Science;Education' \
	%buildroot%_kde_datadir/applications/kde4/kgraphviewer.desktop \
	%buildroot%_kde_datadir/applications/kde4/kgrapheditor.desktop

%find_lang %name --with-html




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.1.1-3.mga3
+ Revision: 356165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 fwang <fwang> 2.1.1-2.mga3
+ Revision: 336389
- update rpm group
- fix build with latest boost

* Mon Nov 28 2011 juancho <juancho> 2.1.1-1.mga2
+ Revision: 173600
- imported package kgraphviewer

